Summary:	Creates an initial ramdisk image for preloading modules.
Name:		mkinitrd
Group:		System Environment/Utilities
License:	GPL
Version:	3.5.14
Release:	3
Source00:	mkinitrd-%{version}.tar.bz2
Patch00:	mkinitrd-3.5.7-nash-dont-use-diet-gd-1.diff
Patch01:	mkinitrd-3.5.7-quiet-nash-gd-1.diff
Patch02:	mkinitrd-3.5.7-no-pivot-gd-1.diff
Patch03:	mkinitrd-3.5.7-support-insmod-twofour-and-twosix-gd-2.diff
Patch04:	mkinitrd-3.5.7-preload-libata-gd-1.diff
Patch05:	mkinitrd-3.5.7-preload-xor-with-raid5-gd-1.diff
Requires:	bash e2fsprogs /bin/sh grep mount gzip tar
Requires:	/sbin/insmod.static, /sbin/losetup, mktemp, findutils
ExclusiveOs:	Linux
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
Mkinitrd creates filesystem images for use as initial ramdisk (initrd)
images.  These ramdisk images are often used to preload the block
device modules (SCSI, SATA, or RAID) needed to access the root filesystem.

%files
  %defattr(-,root,root)
  %doc %{_mandir}/man8/mkinitrd.8*
  %doc %{_mandir}/man8/nash.8*

  %attr(0500,root,root) %{_root_sbindir}/mkinitrd
  %attr(0500,root,root)	%{_root_sbindir}/nash

%prep
%setup -q
%patch00 -p1
%patch01 -p1
%patch02 -p1
%patch03 -p1
%patch04 -p1
%patch05 -p1

%build
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make BUILDROOT=$RPM_BUILD_ROOT mandir=%{_mandir} install

  #
  # These look useful and we may use them in the future, but for now
  # remove them to keep rpmbuid happy.
  #
  for i in /sbin/grubby /sbin/installkernel /sbin/new-kernel-pkg /usr/share/man/man8/grubby.8
  do
    rm -f $RPM_BUILD_ROOT/$i
  done

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 25 2005 Peter O'Hara <pete@guardiandigital.com>
- Version 3.5.14, Release 3
  - Upgrade to 2.5.14

* Mon Jul 25 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.5.7, Release 2
  - Bump release so APT recognizes that we are newer.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.5.7, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
